<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity TBObjectParameter.
    -->
    <changeSet id="20201230113421-2" author="jhipster">
        <addForeignKeyConstraint baseColumnNames="tb_control_type_id"
                                 baseTableName="tb_object_parameter"
                                 constraintName="fk_tb_object_parameter_tb_control_type_id"
                                 referencedColumnNames="id"
                                 referencedTableName="tb_control_type"/>

        <addForeignKeyConstraint baseColumnNames="tb_activity_extend_type_id"
                                 baseTableName="tb_object_parameter"
                                 constraintName="fk_tb_object_parameter_tb_activity_extend_type_id"
                                 referencedColumnNames="id"
                                 referencedTableName="tb_activity_extend_type"/>
    </changeSet>
</databaseChangeLog>
